Subject: bug#1867: Resizing window causes text flickering when using antialiased font on X

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2011 01:33:36 -0400

> From: Chong Yidong <[email-masked]>
> Cc: "Jan D." <[email-masked]>, [email-masked], [email-masked]
> Date: Wed, 05 Oct 2011 17:57:29 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The way redisplay is written, _any_ change to dimensions of _any_
> > window sets a flag that will cause a thorough redisplay of all the
> > windows on all the visible frames.  However, I'd expect that redisplay
> > of any window not affected by the resizing be limited to redrawing the
> > cursor.
> 
> Resizing a window redraws all windows on the same frame, even those
> unaffected by the resizing.

What do you mean by "redraws"?  It generates the full desired glyph
matrices for each window, but there's code in dispnew.c that compares
the desired matrix with the current matrix, and only redraws the parts
that changed.  Are you saying that this optimization is disabled?  Do
you actually see the xterm backend redrawing each and every window in
this use case?